can add a draft journal entry to a page

Bug #1666099 reported by Cecilia Vela Gurovic on 2017-02-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Cecilia Vela Gurovic
15.10
High
Cecilia Vela Gurovic
16.04
High
Cecilia Vela Gurovic
16.10
High
Cecilia Vela Gurovic

Bug Description

When adding journal entries blocks to a page, we can see and select the entries marked as draft.

We should be following what was defined in bug 1387858. This bug was fixed and released in mahara 15.04 but got broken with the fix for bug 1465107 (Use the Bootstrap CSS framework).

We need to recover the original fix.

related to bug 1665481

description: updated
tags: added: regression
Changed in mahara:
status: New → Confirmed
importance: Undecided → High
description: updated
description: updated
Changed in mahara:
status: Confirmed → In Progress

Reviewed: https://reviews.mahara.org/7486
Committed: https://git.mahara.org/mahara/mahara/commit/6eb1dde2e5eeb8c258f936ad9785a5cda9bcee2e
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 6eb1dde2e5eeb8c258f936ad9785a5cda9bcee2e
Author: Cecilia Vela Gurovic <email address hidden>
Date: Tue Feb 21 15:23:47 2017 +1300

Bug 1666099: Draft journal entries should be hidden

When a journal entry is marked as draft,
we can't add it to a block
we don't show it in a page, instead we show a
placeholder with a message
see bug 1387858

Change-Id: I73c475bbc6baddc0dc38c9e7a2c3c60b24a617b4
behatnotneeded

Robert Lyon (robertl-9) on 2017-03-12
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "16.04_STABLE" branch: https://reviews.mahara.org/7514

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/7515

Mahara Bot (dev-mahara) wrote :

Patch for "16.10_STABLE" branch: https://reviews.mahara.org/7516

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7516
Committed: https://git.mahara.org/mahara/mahara/commit/194f49219561f8257c9b79364b5861440ad9a271
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit 194f49219561f8257c9b79364b5861440ad9a271
Author: Cecilia Vela Gurovic <email address hidden>
Date: Tue Feb 21 15:23:47 2017 +1300

Bug 1666099: Draft journal entries should be hidden

When a journal entry is marked as draft,
we can't add it to a block
we don't show it in a page, instead we show a
placeholder with a message
see bug 1387858

Change-Id: I73c475bbc6baddc0dc38c9e7a2c3c60b24a617b4
behatnotneeded
(cherry picked from commit 6eb1dde2e5eeb8c258f936ad9785a5cda9bcee2e)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7514
Committed: https://git.mahara.org/mahara/mahara/commit/bafe77172c028c98df2077e2fd580afc297a8300
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit bafe77172c028c98df2077e2fd580afc297a8300
Author: Cecilia Vela Gurovic <email address hidden>
Date: Tue Feb 21 15:23:47 2017 +1300

Bug 1666099: Draft journal entries should be hidden

When a journal entry is marked as draft,
we can't add it to a block
we don't show it in a page, instead we show a
placeholder with a message
see bug 1387858

Change-Id: I73c475bbc6baddc0dc38c9e7a2c3c60b24a617b4
behatnotneeded
(cherry picked from commit 6eb1dde2e5eeb8c258f936ad9785a5cda9bcee2e)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7515
Committed: https://git.mahara.org/mahara/mahara/commit/f78caa47ca228bba6cc88ae6e70c688d0a8bf3c9
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit f78caa47ca228bba6cc88ae6e70c688d0a8bf3c9
Author: Cecilia Vela Gurovic <email address hidden>
Date: Tue Feb 21 15:23:47 2017 +1300

Bug 1666099: Draft journal entries should be hidden

When a journal entry is marked as draft,
we can't add it to a block
we don't show it in a page, instead we show a
placeholder with a message
see bug 1387858

Change-Id: I73c475bbc6baddc0dc38c9e7a2c3c60b24a617b4
behatnotneeded
(cherry picked from commit 6eb1dde2e5eeb8c258f936ad9785a5cda9bcee2e)

Robert Lyon (robertl-9) on 2017-04-27
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers